routes/web.php
<?php

use App\Http\Controllers\ReservationController;
use App\Http\Controllers\SettingController;
use Illuminate\Support\Facades\Route;


Route::resource('settings', SettingController::class);
Route::resource('reservations', ReservationController::class);

app/Http/Controllers/SettingController.php
<?php

namespace App\Http\Controllers;

use App\Models\RestrictionSetting;
use Illuminate\Http\Request;
use Illuminate\Validation\Rule;

class SettingController extends Controller
{
    public function index()
    {
        $settings = RestrictionSetting::orderBy('tz', 'desc')->paginate(5);

        return view('settings.index', compact('settings'))
            ->with('i', (request()->input('page', 1) - 1) * 5);
    }

    public static function setting($time_zone)
    {
        return RestrictionSetting::where('tz', '=', $time_zone)->first();
    }


    public function edit(RestrictionSetting $setting)
    {
        return view('settings.edit', compact('setting'));
    }

    public function create(RestrictionSetting $setting)
    {
        return view('settings.create', compact('setting'));
    }

    public function store(Request $request)
    {
        $request->validate([
            'n' => [
                'required',
                'integer',
                'gt:0'
            ],
            'd' => [
                'required',
                'string',
                Rule::in([RestrictionSetting::D_DAY, RestrictionSetting::D_WEEK, RestrictionSetting::D_MONTH])
            ],
            'g' => [
                'required',
                'string',
                Rule::in([RestrictionSetting::G_GROUP, RestrictionSetting::G_INDIVIDUAL])
            ],
            'tz' => [
                'required',
                'string',
                Rule::in([RestrictionSetting::TZ_UTC, RestrictionSetting::TZ_ASIA_CALCUTTA, RestrictionSetting::TZ_AMERICA_NEWYORK]),
                function ($a, $v, $f) use ($request) {
                    if (RestrictionSetting::where([
                        'g' => $request->get('g'),
                        'tz' => $v
                    ])->exists()) {
                        $f("Setting Already exists.");
                    }
                }
            ]
        ]);
        RestrictionSetting::create($request->all());

        return redirect()->route('settings.index')
            ->with('success', 'Settings Created successfully');
    }

    public function update(Request $request, RestrictionSetting $setting)
    {
        $request->validate([
            'n' => [
                'required',
                'integer',
                'gt:0'
            ],
            'd' => [
                'required',
                'string',
                Rule::in([RestrictionSetting::D_DAY, RestrictionSetting::D_WEEK, RestrictionSetting::D_MONTH])
            ],
            'g' => [
                'required',
                'string',
                Rule::in([RestrictionSetting::G_GROUP, RestrictionSetting::G_INDIVIDUAL])
            ],
            'tz' => [
                'required',
                'string',
                Rule::in([RestrictionSetting::TZ_UTC, RestrictionSetting::TZ_ASIA_CALCUTTA, RestrictionSetting::TZ_AMERICA_NEWYORK])
            ]
        ]);
        $setting->update($request->all());

        return redirect()->route('settings.index')
            ->with('success', 'Settings updated successfully');
    }
}

resources/views/settings/create.blade.php
@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Create Setting</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-primary" href="{{ route('settings.index') }}" title="Go back"> <i
                        class="fas fa-backward "></i> </a>
            </div>
        </div>
    </div>

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('settings.store') }}" method="POST">
        @csrf
        @method('POST')

        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>n:</strong>
                    <input type="text" name="n" class="form-control" placeholder="n">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>d:</strong>
                    <select class="form-control" name="d">
                        <option value="day">day</option>
                        <option value="week">week</option>
                        <option value="month">month</option>
                    </select>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>g:</strong>
                    <select class="form-control" name="g">
                        <option value="individual">individual</option>
                        <option value="group">group</option>
                    </select>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>tz:</strong>
                    <select class="form-control" name="tz">
                        <option value="UTC">UTC</option>
                        <option value="Asia/Calcutta">Asia/Calcutta</option>
                        <option value="America/NewYork">America/NewYork</option>
                    </select>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                <button type="submit" class="btn btn-primary">Submit</button>
            </div>
        </div>

    </form>
@endsection

resources/views/settings/edit.blade.php
@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Edit Setting</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-primary" href="{{ route('settings.index') }}" title="Go back"> <i
                        class="fas fa-backward "></i> </a>
            </div>
        </div>
    </div>

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('settings.update', $setting->id) }}" method="POST">
        @csrf
        @method('PUT')

        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>n:</strong>
                    <input type="text" name="n" value="{{ $setting->n }}" class="form-control" placeholder="n">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>d:</strong>
                    <select class="form-control" name="d">
                        <option value="day"
                        @if ($setting->d == 'day')
                            selected="selected"
                        @endif
                        >day</option>
                        <option value="week"
                        @if ($setting->d == 'week')
                            selected="selected"
                        @endif
                        >week</option>
                        <option value="month"
                        @if ($setting->d == 'month')
                            selected="selected"
                        @endif
                        >month</option>
                    </select>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>g:</strong>
                    <select class="form-control" name="g">
                        <option value="individual"
                        @if ($setting->g == 'individual')
                            selected="selected"
                        @endif
                        >individual</option>
                        <option value="group"
                        @if ($setting->g == 'group')
                            selected="selected"
                        @endif
                        >group</option>
                    </select>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>tz:</strong>
                    <select class="form-control" name="tz">
                        <option value="UTC"
                        @if ($setting->tz == 'UTC')
                            selected="selected"
                        @endif
                        >UTC</option>
                        <option value="Asia/Calcutta"
                        @if ($setting->tz == 'Asia/Calcutta')
                            selected="selected"
                        @endif
                        >Asia/Calcutta</option>
                        <option value="America/NewYork"
                        @if ($setting->tz == 'America/NewYork')
                            selected="selected"
                        @endif
                        >America/NewYork</option>
                    </select>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                <button type="submit" class="btn btn-primary">Submit</button>
            </div>
        </div>

    </form>
@endsection

resources/views/settings/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Settings</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-success" href="{{ route('settings.create') }}" title="Create a category"> <i class="fas fa-plus-circle"></i>
                    </a>
            </div>
        </div>
    </div>

    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <table class="table table-bordered table-responsive-lg">
        <tr>
            <th>No</th>
            <th>n</th>
            <th>d</th>
            <th>g</th>
            <th>tz</th>
            <th width="280px">Action</th>
        </tr>
        @foreach ($settings as $setting)
            <tr>
                <td>{{ ++$i }}</td>
                <td>{{ $setting->n }}</td>
                <td>{{ $setting->d }}</td>
                <td>{{ $setting->g }}</td>
                <td>{{ $setting->tz }}</td>
                <td>
                    <a href="{{ route('settings.edit', $setting->id) }}">
                        <i class="fas fa-edit  fa-lg"></i>

                    </a>
                </td>
            </tr>
        @endforeach
    </table>

    {!! $settings->links() !!}

@endsection